Update TkRemind requirements.

This commit is contained in:
Dianne Skoll
2021-02-09 12:08:43 -05:00
parent 21175e8cf6
commit 562da30fb5
3 changed files with 16 additions and 10 deletions

View File

@@ -13,8 +13,10 @@ Although not all of \fBRemind\fR's features are available with \fBTkRemind\fR,
it creates. This allows you to learn \fBRemind\fR's syntax and then add it creates. This allows you to learn \fBRemind\fR's syntax and then add
extra features as you become a more sophisticated \fBRemind\fR programmer. extra features as you become a more sophisticated \fBRemind\fR programmer.
\fBTkRemind\fR is written in Tcl, and requires version 8.0 \fBTkRemind\fR is written in Tcl, and requires version 8.5 (or higher)
(or higher). It also requires a \fBwish\fR binary. as well as the tcllib extension. It also requires a \fBwish\fR
binary. If you are using Tcl/Tk 8.5, you may also need either the Img
or the tkpng extension to handle PNG images.
.SH OPTIONS .SH OPTIONS
\fBTkRemind\fR itself has no options. However, it passes certain options \fBTkRemind\fR itself has no options. However, it passes certain options

View File

@@ -21,6 +21,17 @@ if {[catch {package require Tcl 8.5}]} {
exit 1 exit 1
} }
# If it's 8.5, try using the Img or the TkPNG package to
# get PNG support
if {[info tclversion] == 8.5} {
if {[catch {package require Img}]} {
if {[catch {package require tkpng}]} {
puts "Tcl/Tk version 8.5 might require either the Img or tkpng"
puts "package to handle PNG images correctly. TkRemind may"
puts "crash because neither of these packages was found."
}
}
}
wm withdraw . wm withdraw .
set Hostname [exec hostname] set Hostname [exec hostname]
@@ -113,13 +124,6 @@ if {[catch {package require json}]} {
missing_tcllib json missing_tcllib json
} }
# Check that we have the right version of wish
if {$tcl_version < 8.0} {
tk_dialog .error Error "You need wish version 8.0 or higher to run TkRemind; you have $tcl_version" error 0 OK
exit 1
}
if {$tcl_platform(platform) == "windows"} { if {$tcl_platform(platform) == "windows"} {
tk_dialog .error Error "Please do not port Remind to Windows" error 0 OK tk_dialog .error Error "Please do not port Remind to Windows" error 0 OK
exit 1 exit 1

View File

@@ -3,6 +3,6 @@ cd /home/dfs/Software/Remind.git || exit 1
rm -f .git/COMMIT_EDITMSG .git/*~ rm -f .git/COMMIT_EDITMSG .git/*~
git update-server-info && cd .git && rsync --archive --verbose --progress --delete ./ dianne.skoll.ca:web/projects/remind/git/Remind.git/ git update-server-info && cd .git && rsync --exclude HEADER.html --archive --verbose --progress --delete ./ dianne.skoll.ca:web/projects/remind/git/Remind.git/
exit $? exit $?